Upgrade Guidance Needed

Discussion around the Swiss Micros DM42 calculator.
Post Reply
BarryRittberg
Posts: 14
Joined: Mon Aug 21, 2017 12:28 pm

Upgrade Guidance Needed

Post by BarryRittberg »

My bad but... I have a not updated my DM42 since v3.4a.
I do need some advise on the best was to do the update via a Mac computer.
Can I go directly to the latest version or do I need to update serially?
Also I was confused by the statement in the quick start that says I need

Prerequisites
DMCP_flash_x.x.bin - DMCP system file, e.g. DMCP_flash_3.10.bin
DM42-x.x.pgm - DM42 program file, e.g. DM42-3.10.pgm.

Since Prerequisites is plural, it seems like I need two files.

I was able to locate
DMCP_flash_3.21_DM42-3.19.bin ... is this all I need, if not can you point me to the other one.

Also any other advice would be greatly appreciated... Thanks... Barry
Peet
Posts: 134
Joined: Tue Sep 29, 2020 12:01 am
Location: Germany

Re: Upgrade Guidance Needed

Post by Peet »

> My bad but... I have a not updated my DM42 since v3.4a.
An easy way (FAT) is only possible since v3.7

> I do need some advise on the best was to do the update via a Mac computer.
If you need this advice, don't do it via a Mac

>Can I go directly to the latest version or do I need to update serially?
direct

> Also I was confused by the statement in the quick start that says I need ...
"Since version 3.7"

With version 3.4 via Mac only dfu-util is possible, via Windows or Linux also the easier dm_tool.
My programmable calculators - former: CBM PR100, HP41CV, HP28S, HP11C - current: HP48G(+), HP35S, DM41X, DM42
User avatar
ijabbott
Posts: 209
Joined: Fri Dec 15, 2017 2:34 pm
Location: GB-MAN

Re: Upgrade Guidance Needed

Post by ijabbott »

Peet wrote:
Wed Jun 02, 2021 8:35 am
> My bad but... I have a not updated my DM42 since v3.4a.
An easy way (FAT) is only possible since v3.7
Since v3.5 actually. (v3.7 saw the introduction of the split DMCP/DM42PRG firmware.)
BarryRittberg
Posts: 14
Joined: Mon Aug 21, 2017 12:28 pm

Re: Upgrade Guidance Needed

Post by BarryRittberg »

Thanks for the guidance. I was able to go to v3.5 using the "old" dfl-util method.
Then I was able to use the new flash method to go directly to the current version. (much easier!)
Post Reply